{{- if and  .Values.database.password (not .Values.database.existingSecret) -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "ps-security.fullname" $ }}-database
  namespace: {{ .Release.Namespace }}
  labels:
  {{- include "ps-security.labels" $ | nindent 4 }}
type: Opaque
stringData:
  password: {{ .Values.database.password | quote }}
{{- end }}